﻿/**
 * This package contains both Flickr and Yahoo KEYS
 * You need to have a valid Flickr api key, user id and a valid Yahoo api key
 * To register your yahoo application visit: https://developer.yahoo.com/wsregapp/index.php
 */

package org.sepy.iGallery.core
{
	import com.adobe.webapis.flickr.User;
	import com.adobe.webapis.flickr.AuthPerm;
	import flash.utils.getTimer;

	public class Config
	{
		// Flickr Config variables

		/** Your Flickr API Key */
		public static const API:String    = "";

		/** Your Flickr Secret key */
		public static const SECRET:String = "";

		/** Your User ID */
		public static const NSID:String   = "";

		/** this must be the same as your swf id */
		public static const SWFDOMID:String = "iGallery";

		public static const UNIQUEID:int = getTimer();

		/** your yahoo api key */
		public static const YAHOOAPIKEY:String = "";

		/** external as2 swf map /*/
		public static const MAPSWF:String = "as2map.swf";


		public static var frob:String;
		public static var token:String;
		public static var user:User;
		public static var perm:String = AuthPerm.NONE;

		public static const LARGE_THUMB_DATE:String = "MMM DD, YYYY";

	}
}